View Issue Details

IDProjectCategoryView StatusLast Update
0023504mantisbtfilterspublic2018-03-31 19:58
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.8.0 
Target Version2.13.0Fixed in Version2.13.0 
Summary0023504: Filter "monitored by" does not account for configuration "show_monitor_list_threshold"
Description

An unprivileged user who can't see monitoring users can get results by filtering for issued monitored by other users

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 8a042864

2017-10-20 04:19:34

cproensa


Committer: dregad Details Diff
Use view monitoring access in filter query

Match issues monitored by other users only when the user have access to
view them.

Fixes: 0023504
Affected Issues
0023504
mod - core/classes/BugFilterQuery.class.php Diff File

Issue History

Date Modified Username Field Change
2017-10-19 13:36 cproensa New Issue
2017-10-20 04:59 cproensa Assigned To => cproensa
2017-10-20 04:59 cproensa Status new => assigned
2018-03-05 04:19 dregad Changeset attached => MantisBT master 8a042864
2018-03-05 04:19 cproensa Status assigned => resolved
2018-03-05 04:19 cproensa Resolution open => fixed
2018-03-05 04:19 cproensa Fixed in Version => 2.13.0
2018-03-05 04:26 atrol Target Version => 2.13.0
2018-03-31 19:58 vboctor Status resolved => closed